import { NativeModulesProxy, EventEmitter, Subscription } from 'expo-modules-core';

// Import the native module. On web, it will be resolved to StorekitIntergration.web.ts
// and on native platforms to StorekitIntergration.ts
import StorekitIntergrationModule from './StorekitIntergrationModule';

// Get the native constant value.
export const PI = StorekitIntergrationModule.PI;

export async function hello() {
  return await StorekitIntergrationModule.hello();
}

export async function setValueAsync(value) {
  return await StorekitIntergrationModule.setValueAsync(value);
}

const emitter = new EventEmitter(StorekitIntergrationModule ?? NativeModulesProxy.StorekitIntergration);

export function addChangeListener(listener: (event) => void): Subscription {
  return emitter.addListener('onChange', listener);
}

